libzypp 17.38.15

zypp::PublicKeySignatureData::Impl Class Reference

PublicKeySignatureData implementation. More...

## Static Public Member Functions
static shared_ptr< Impl > | nullimpl ()
| Offer default Impl.

## Public Attributes
std::string | _keyid
std::string | _name
Date | _created
Date | _expires

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

PublicKeySignatureData implementation.

Definition at line 206 of file PublicKey.cc.

## Member Function Documentation

## ◆ nullimpl()

shared_ptr< zypp::PublicKeySignatureData::Impl > zypp::PublicKeySignatureData::Impl::nullimpl | ( |  | ) |
| static

Offer default Impl.

Definition at line 223 of file PublicKey.cc.

## ◆ clone()

zypp::PublicKeySignatureData::Impl * zypp::PublicKeySignatureData::Impl::clone | ( |  | ) | const
| private

clone for RWCOW_pointer

Definition at line 229 of file PublicKey.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _keyid

std::string zypp::PublicKeySignatureData::Impl::_keyid

Definition at line 208 of file PublicKey.cc.

## ◆ _name

std::string zypp::PublicKeySignatureData::Impl::_name

Definition at line 209 of file PublicKey.cc.

## ◆ _created

Date zypp::PublicKeySignatureData::Impl::_created

Definition at line 210 of file PublicKey.cc.

## ◆ _expires

Date zypp::PublicKeySignatureData::Impl::_expires

Definition at line 211 of file PublicKey.cc.

The documentation for this class was generated from the following file:

- zypp-common/PublicKey.cc